Ir al contenido
Documentación de Endless

List all scheduled task runs

GET
/scheduled-task-runs

List all scheduled task runs.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

organization_id*string
Match^org_
scheduled_task_id?string
Formatuuid
limit?integer
Range1 <= value <= 50
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/scheduled-task-runs?organization_id=string"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheduled_task_id": "e2519cc6-ddb2-4dff-9e00-afeaa3005950",      "organization_id": "string",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "workflow_run_id": "string",      "triggered_by_id": "string",      "status": "in_progress",      "error": "string",      "started_at": "2019-08-24T14:15:22Z",      "heartbeat_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "credits_used": 0,      "credits_refunded": 0,      "schedule": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "created_by_id": "string",        "time": "string",        "timezone": "string",        "visibility": "private",        "cadence": {          "kind": "daily"        },        "status": "active"      }    }  ],  "next_cursor": "string"}